io.vertx.ext.web.templ

## Interface HandlebarsTemplateEngine

- All Superinterfaces:
    TemplateEngine

      public interface HandlebarsTemplateEngine
      extends TemplateEngine

  A template engine that uses the Handlebars library.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_CACHE_SIZE` Default max number of templates to cache
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Default template extension

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HandlebarsTemplateEngine` | `create()` Create a template engine using defaults
    `com.github.jknack.handlebars.Handlebars` | `getHandlebars()` Get a reference to the internal Handlebars object so it can be configured.
    `com.github.jknack.handlebars.ValueResolver[]` | `getResolvers()` Return the array of configured handlebars context value resolvers.
    `HandlebarsTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `HandlebarsTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine
    `HandlebarsTemplateEngine` | `setResolvers(com.github.jknack.handlebars.ValueResolver... resolvers)` Set the array of handlebars context value resolvers.

    - ### Methods inherited from interface io.vertx.ext.web.templ.TemplateEngine

      `isCachingEnabled, render, render`

- - ### Field Detail

    - #### DEFAULT_MAX_CACHE_SIZE

          static final int DEFAULT_MAX_CACHE_SIZE

      Default max number of templates to cache
      See Also:
        Constant Field Values

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static HandlebarsTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          HandlebarsTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          HandlebarsTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### getHandlebars

          com.github.jknack.handlebars.Handlebars getHandlebars()

      Get a reference to the internal Handlebars object so it can be configured.
      Returns:
        a reference to the internal Handlebars instance.

    - #### getResolvers

          com.github.jknack.handlebars.ValueResolver[] getResolvers()

      Return the array of configured handlebars context value resolvers.
      Returns:
        array of configured resolvers

    - #### setResolvers

          HandlebarsTemplateEngine setResolvers(com.github.jknack.handlebars.ValueResolver... resolvers)

      Set the array of handlebars context value resolvers.
      Parameters:
        `resolvers` - the value resolvers to be used
      Returns:
        a reference to the internal Handlebars instance.

Copyright © 2018 Eclipse. All rights reserved.